Subject: RE: [mobile-ip] Low Latency MIPv4 Handoffs: PreReg Failure Recove ry

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Mon, 5 Nov 2001 11:08:34 +0100

Hello Jonathan,

Thanks for the comments.
I'll try answering your emails one by one, but it's probably
better to converge to one thread since they're all related.

> How do MNs and FAs recover from a failed PreReg handover? For example,
> if the MN's pre-registration request is lost of delayed, what needs
> to happen to ensure continued packet delivery?
> 
> PreReg requires a lot of messages to traverse many links, opening
> up lots of opportunities for failure:
>     Solicitation from MN -> oFA
>     Solicitation from MN -> oFA -> nFA
>     Advert from oFA / nFA --> MN
>     Reg Req from MN -> oFA -> nFA -> HA
>     Req reply from HA -> nFA -> oFA -> MN (and nFA -> on-link)
> It would be useful to consider what would happen if any one of the
> messages is lost or delayed.

We have now included a section on both PRE and POST REG failure recovery
in the draft we will release next since similar comments were raised.
However the messages you point out above are RFC2002
messages, so your comments apply to Mobile IPv4 in general. It's not
the aim of this draft to make RFC2002 more reliable but to make
sure we consider any additional reliability issues which are introduced.
In general PRE-REG naturally resorts to RFC2002 in case of msg failure.
The MN shouldn't behave much differently from RFC2002 except in 
case of mobile-initiated where it does a special solicitation following
a trigger.

/Karim